Bug 967517 - Review Request: openrdate - Good-old rdate date and time-setting software
Review Request: openrdate - Good-old rdate date and time-setting software
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Williamson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 960719
  Show dependency treegraph
 
Reported: 2013-05-27 06:38 EDT by Honza Horak
Modified: 2013-06-03 08:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: openrdate-1.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 08:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
awilliam: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2013-05-27 06:38:41 EDT
Spec URL: http://hhorak.fedorapeople.org/openrdate-review/openrdate.spec
SRPM URL: http://hhorak.fedorapeople.org/openrdate-review/openrdate-1.2-1.fc18.src.rpm

Description: Good-old date- and time-setting rdate software implementing RFC 868 (inetd time) and RFC 2030 (SNTP/NTP) protocols. An independent package of OpenBSD's rdate program.

Fedora Account System Username: hhorak

Notice: this new component is going to replace rdate component in F20+, as proposed in bug #960719. Review should be made while having this in mind.
Comment 1 Adam Williamson 2013-05-29 20:09:44 EDT
I'll take this, since I requested it...

So, question #1, why the Epoch? If you're thinking you need an epoch because you want to obsolete a higher-versioned package, I don't think you do. A new package with a different name can obsolete a higher-versioned old package. The example at https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages happens to demonstrate this (it has an un-epoch'ed bar replacing an epoch'ed foo).
Comment 2 Adam Williamson 2013-05-29 20:39:49 EDT
License should be "BSD and BSD with advertising" - all but one of the various forms of the BSD license used in the source are of the kind that can just be called 'BSD' according to https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Software_License_List , but the last one in COPYING, the one that covers rdate.c and rfc868time.c , is the 'BSD with advertising' form, which needs to be listed separately.

Researching this caused me to find the bug report which actually led to the creation of our 'variant' rdate: https://bugzilla.redhat.com/show_bug.cgi?id=8619 . now that's old :)

* rpmlint output - PASS:

openrdate.src: W: spelling-error Summary(en_US) rdate -> rate, date, dater
openrdate.src: W: spelling-error %description -l en_US rdate -> rate, date, dater
openrdate.src: W: spelling-error %description -l en_US inetd -> dinette
openrdate.x86_64: W: spelling-error %description -l en_US inetd -> dinette
openrdate.x86_64: W: incoherent-version-in-changelog 1.2-1 ['1:1.2-1.fc19', '1:1.2-1']

The spelling errors are all false positives. For the 'incoherent version', well, see the note regarding epoch, I think the epoch is unnecessary.

* The package must be named according to the Package Naming Guidelines - PASS

* The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. - PASS

* The package must meet the Packaging Guidelines - NEEDSWORK (see epoch issue above)

*  The package must be licensed with a Fedora approved license and meet the Licensing Guidelines - PASS

* The License field in the package spec file must match the actual license - NEEDSWORK (see above)

* If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. - PASS

* The spec file must be written in American English. - PASS

* The spec file for the package MUST be legible. - PASS

* The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. - PASS

* The package MUST successfully compile and build into binary rpms on at least one primary architecture. - PASS (tested f19 x86_64)

* If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. (etc) - N/A (no reason to believe this fails to build on any arch)

* All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. - PASS (builds in koji)

* The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden. - N/A (no locales)

* Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. - N/A (no libs)

* Packages must NOT bundle copies of system libraries - PASS (arc4random.c seems to be a sort of 'generic' thing that might be shared, but I see no system library implementation of it in fedora)

*  If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. - N/A

* A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. - PASS (only dirs it uses are owned by filesystem which you don't have to require)

* A Fedora package must not list a file more than once in the spec file's %files listings. - PASS

* Permissions on files must be set properly. Executables should be set with executable permissions, for example. - PASS (the executable is executable)

* Each package must consistently use macros. - PASS

* The package must contain code, or permissable content. - PASS

* Large documentation files must go in a -doc subpackage. - N/A

* If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. - PASS

* Static libraries must be in a -static package. - N/A

* Development files must be in a -devel package. - N/A

* In the vast majority of cases, devel packages must require the base package using a fully versioned dependency - N/A

* Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built. - PASS

* Packages containing GUI applications must include a %{name}.desktop file - N/A

* Packages must not own files or directories already owned by other packages. - PASS (it doesn't own any)

* All filenames in rpm packages must be valid UTF-8 - PASS

All 'SHOULD' items are also OK. I tested that the package builds without error, installs and uninstalls without error, the appropriate docs are included, and it works both to display and set the time with both RFC868 and SNTP protocols. It is only partly backwards-compatible with 'rdate' - the options -s and -p remain the same but all others differ.

Result: NEEDSWORK, nearly a PASS, but please look at the epoch and license issues. Thanks!
Comment 3 Honza Horak 2013-05-31 07:55:07 EDT
Thanks for taking up this review.

(In reply to Adam Williamson from comment #1)
> I'll take this, since I requested it...
> 
> So, question #1, why the Epoch? If you're thinking you need an epoch because
> you want to obsolete a higher-versioned package, I don't think you do. A new
> package with a different name can obsolete a higher-versioned old package.

OK, I removed "Provides: rdate..." and also Epoch.

(In reply to Adam Williamson from comment #2)
> License should be "BSD and BSD with advertising"

Changed to "BSD and BSD with advertising".

Adjusted spec and srpm:
Spec URL: http://hhorak.fedorapeople.org/openrdate-review/openrdate.spec
SRPM URL: http://hhorak.fedorapeople.org/openrdate-review/openrdate-1.2-2.fc18.src.rpm
Comment 4 Adam Williamson 2013-05-31 13:01:54 EDT
You could still have Provides: rdate, probably, but equally I think people looking for rdate will be able to find openrdate, and there are no packages that Require: rdate that I could see.

Verified the new package still replaces rdate, and still works. Both concerns have been addressed, so this is now a PASS. Setting fedora-review to +.
Comment 5 Honza Horak 2013-05-31 15:00:00 EDT
New Package SCM Request
=======================
Package Name: openrdate
Short Description: Good-old rdate date and time-setting software
Owners: hhorak
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-06-03 06:25:45 EDT
Git done (by process-git-requests).
Comment 7 Honza Horak 2013-06-03 08:39:41 EDT
(In reply to Adam Williamson from comment #4)
> You could still have Provides: rdate, probably, but equally I think people
> looking for rdate will be able to find openrdate, and there are no packages
> that Require: rdate that I could see.

I've added Provides as well. Thank you for collaboration.

Note You need to log in before you can comment on or make changes to this bug.